List all plans
curl --request GET \
--url https://api.salesbricks.com/api/v2/plans \
--header 'X-SALESBRICKS-KEY: <api-key>'import requests
url = "https://api.salesbricks.com/api/v2/plans"
headers = {"X-SALESBRICKS-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SALESBRICKS-KEY': '<api-key>'}};
fetch('https://api.salesbricks.com/api/v2/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plan_name": "<string>",
"description": "<string>",
"code": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_name": "<string>",
"is_product_active": true,
"is_private": true,
"bricks": [
{
"brick_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brick_name": "<string>",
"brick_type": "SUBSCRIPTION",
"included_units": 123,
"min_units": 123,
"tiers": [
{
"from": 123
}
],
"blocks": [
{
"from": 123,
"to": 123
}
]
}
]
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Plans
List all plans
Returns a paginated list of published plans. This will fetch the plan and the associated bricks for that plan.
GET
/
plans
List all plans
Authorizations
API key for authentication
Query Parameters
Currency for pricing tiers (default: USD)
Available options:
AUD, CAD, EUR, GBP, INR, USD Number of results to return per page.
The initial index from which to return the results.
Order results by field (prefix with '-' for descending order)
Available options:
-created_at, created_at Case-insensitive substring match against the plan name, plan code and product name.